import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CloudformationStackSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly administrationRoleArn?: string;
    /**
     * @stability stable
     */
    readonly capabilities?: string[];
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly executionRoleName?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly permissionModel?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly templateBody?: string;
    /**
     * @stability stable
     */
    readonly templateUrl?: string;
    /**
     * auto_deployment block.
     *
     * @stability stable
     */
    readonly autoDeployment?: CloudformationStackSetAutoDeployment[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CloudformationStackSetTimeouts;
}
/**
 * @stability stable
 */
export interface CloudformationStackSetAutoDeployment {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly retainStacksOnAccountRemoval?: boolean;
}
/**
 * @stability stable
 */
export interface CloudformationStackSetTimeouts {
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class CloudformationStackSet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudformationStackSetConfig);
    private _administrationRoleArn?;
    /**
     * @stability stable
     */
    get administrationRoleArn(): string;
    /**
     * @stability stable
     */
    set administrationRoleArn(value: string);
    /**
     * @stability stable
     */
    resetAdministrationRoleArn(): void;
    /**
     * @stability stable
     */
    get administrationRoleArnInput(): string | undefined;
    /**
     * @stability stable
     */
    get arn(): string;
    private _capabilities?;
    /**
     * @stability stable
     */
    get capabilities(): string[];
    /**
     * @stability stable
     */
    set capabilities(value: string[]);
    /**
     * @stability stable
     */
    resetCapabilities(): void;
    /**
     * @stability stable
     */
    get capabilitiesInput(): string[] | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _executionRoleName?;
    /**
     * @stability stable
     */
    get executionRoleName(): string;
    /**
     * @stability stable
     */
    set executionRoleName(value: string);
    /**
     * @stability stable
     */
    resetExecutionRoleName(): void;
    /**
     * @stability stable
     */
    get executionRoleNameInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _parameters?;
    /**
     * @stability stable
     */
    get parameters(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set parameters(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetParameters(): void;
    /**
     * @stability stable
     */
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _permissionModel?;
    /**
     * @stability stable
     */
    get permissionModel(): string;
    /**
     * @stability stable
     */
    set permissionModel(value: string);
    /**
     * @stability stable
     */
    resetPermissionModel(): void;
    /**
     * @stability stable
     */
    get permissionModelInput(): string | undefined;
    /**
     * @stability stable
     */
    get stackSetId(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _templateBody?;
    /**
     * @stability stable
     */
    get templateBody(): string;
    /**
     * @stability stable
     */
    set templateBody(value: string);
    /**
     * @stability stable
     */
    resetTemplateBody(): void;
    /**
     * @stability stable
     */
    get templateBodyInput(): string | undefined;
    private _templateUrl?;
    /**
     * @stability stable
     */
    get templateUrl(): string;
    /**
     * @stability stable
     */
    set templateUrl(value: string);
    /**
     * @stability stable
     */
    resetTemplateUrl(): void;
    /**
     * @stability stable
     */
    get templateUrlInput(): string | undefined;
    private _autoDeployment?;
    /**
     * @stability stable
     */
    get autoDeployment(): CloudformationStackSetAutoDeployment[];
    /**
     * @stability stable
     */
    set autoDeployment(value: CloudformationStackSetAutoDeployment[]);
    /**
     * @stability stable
     */
    resetAutoDeployment(): void;
    /**
     * @stability stable
     */
    get autoDeploymentInput(): CloudformationStackSetAutoDeployment[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CloudformationStackSetTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CloudformationStackSetTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CloudformationStackSetTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
