import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CloudwatchQueryDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly logGroupNames?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly queryString: string;
}
/**
 * @stability stable
 */
export declare class CloudwatchQueryDefinition extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudwatchQueryDefinitionConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _logGroupNames?;
    /**
     * @stability stable
     */
    get logGroupNames(): string[];
    /**
     * @stability stable
     */
    set logGroupNames(value: string[]);
    /**
     * @stability stable
     */
    resetLogGroupNames(): void;
    /**
     * @stability stable
     */
    get logGroupNamesInput(): string[] | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get queryDefinitionId(): string;
    private _queryString;
    /**
     * @stability stable
     */
    get queryString(): string;
    /**
     * @stability stable
     */
    set queryString(value: string);
    /**
     * @stability stable
     */
    get queryStringInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
