import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityhubInsightConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly groupByAttribute: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * filters block.
     *
     * @stability stable
     */
    readonly filters: SecurityhubInsightFilters[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersAwsAccountId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersCompanyName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersComplianceStatus {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersConfidence {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersCreatedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersCreatedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersCreatedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersCriticality {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersDescription {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFindingProviderFieldsConfidence {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFindingProviderFieldsCriticality {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFindingProviderFieldsRelatedFindingsId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFindingProviderFieldsRelatedFindingsProductArn {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFindingProviderFieldsSeverityLabel {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFindingProviderFieldsSeverityOriginal {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFindingProviderFieldsTypes {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFirstObservedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersFirstObservedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersFirstObservedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersGeneratorId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersKeyword {
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersLastObservedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersLastObservedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersLastObservedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersMalwareName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersMalwarePath {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersMalwareState {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersMalwareType {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkDestinationDomain {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkDestinationIpv4 {
    /**
     * @stability stable
     */
    readonly cidr: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkDestinationIpv6 {
    /**
     * @stability stable
     */
    readonly cidr: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkDestinationPort {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkDirection {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkProtocol {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkSourceDomain {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkSourceIpv4 {
    /**
     * @stability stable
     */
    readonly cidr: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkSourceIpv6 {
    /**
     * @stability stable
     */
    readonly cidr: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkSourceMac {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNetworkSourcePort {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNoteText {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNoteUpdatedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNoteUpdatedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersNoteUpdatedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersNoteUpdatedBy {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessLaunchedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessLaunchedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersProcessLaunchedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessParentPid {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessPath {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessPid {
    /**
     * @stability stable
     */
    readonly eq?: string;
    /**
     * @stability stable
     */
    readonly gte?: string;
    /**
     * @stability stable
     */
    readonly lte?: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessTerminatedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProcessTerminatedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersProcessTerminatedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProductArn {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProductFields {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersProductName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersRecommendationText {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersRecordState {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersRelatedFindingsId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersRelatedFindingsProductArn {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceIamInstanceProfileArn {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceImageId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceIpv4Addresses {
    /**
     * @stability stable
     */
    readonly cidr: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceIpv6Addresses {
    /**
     * @stability stable
     */
    readonly cidr: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceKeyName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceLaunchedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceLaunchedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersResourceAwsEc2InstanceLaunchedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceSubnetId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceType {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsEc2InstanceVpcId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsIamAccessKeyCreatedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsIamAccessKeyCreatedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersResourceAwsIamAccessKeyCreatedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsIamAccessKeyStatus {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsIamAccessKeyUserName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsS3BucketOwnerId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceAwsS3BucketOwnerName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceContainerImageId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceContainerImageName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceContainerLaunchedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceContainerLaunchedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersResourceContainerLaunchedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceContainerName {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceDetailsOther {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceId {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourcePartition {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceRegion {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceTags {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersResourceType {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersSeverityLabel {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersSourceUrl {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersThreatIntelIndicatorCategory {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersThreatIntelIndicatorLastObservedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersThreatIntelIndicatorLastObservedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersThreatIntelIndicatorLastObservedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersThreatIntelIndicatorSource {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersThreatIntelIndicatorSourceUrl {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersThreatIntelIndicatorType {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersThreatIntelIndicatorValue {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersTitle {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersType {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersUpdatedAtDateRange {
    /**
     * @stability stable
     */
    readonly unit: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersUpdatedAt {
    /**
     * @stability stable
     */
    readonly end?: string;
    /**
     * @stability stable
     */
    readonly start?: string;
    /**
     * date_range block.
     *
     * @stability stable
     */
    readonly dateRange?: SecurityhubInsightFiltersUpdatedAtDateRange[];
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersUserDefinedValues {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersVerificationState {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFiltersWorkflowStatus {
    /**
     * @stability stable
     */
    readonly comparison: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export interface SecurityhubInsightFilters {
    /**
     * aws_account_id block.
     *
     * @stability stable
     */
    readonly awsAccountId?: SecurityhubInsightFiltersAwsAccountId[];
    /**
     * company_name block.
     *
     * @stability stable
     */
    readonly companyName?: SecurityhubInsightFiltersCompanyName[];
    /**
     * compliance_status block.
     *
     * @stability stable
     */
    readonly complianceStatus?: SecurityhubInsightFiltersComplianceStatus[];
    /**
     * confidence block.
     *
     * @stability stable
     */
    readonly confidence?: SecurityhubInsightFiltersConfidence[];
    /**
     * created_at block.
     *
     * @stability stable
     */
    readonly createdAt?: SecurityhubInsightFiltersCreatedAt[];
    /**
     * criticality block.
     *
     * @stability stable
     */
    readonly criticality?: SecurityhubInsightFiltersCriticality[];
    /**
     * description block.
     *
     * @stability stable
     */
    readonly description?: SecurityhubInsightFiltersDescription[];
    /**
     * finding_provider_fields_confidence block.
     *
     * @stability stable
     */
    readonly findingProviderFieldsConfidence?: SecurityhubInsightFiltersFindingProviderFieldsConfidence[];
    /**
     * finding_provider_fields_criticality block.
     *
     * @stability stable
     */
    readonly findingProviderFieldsCriticality?: SecurityhubInsightFiltersFindingProviderFieldsCriticality[];
    /**
     * finding_provider_fields_related_findings_id block.
     *
     * @stability stable
     */
    readonly findingProviderFieldsRelatedFindingsId?: SecurityhubInsightFiltersFindingProviderFieldsRelatedFindingsId[];
    /**
     * finding_provider_fields_related_findings_product_arn block.
     *
     * @stability stable
     */
    readonly findingProviderFieldsRelatedFindingsProductArn?: SecurityhubInsightFiltersFindingProviderFieldsRelatedFindingsProductArn[];
    /**
     * finding_provider_fields_severity_label block.
     *
     * @stability stable
     */
    readonly findingProviderFieldsSeverityLabel?: SecurityhubInsightFiltersFindingProviderFieldsSeverityLabel[];
    /**
     * finding_provider_fields_severity_original block.
     *
     * @stability stable
     */
    readonly findingProviderFieldsSeverityOriginal?: SecurityhubInsightFiltersFindingProviderFieldsSeverityOriginal[];
    /**
     * finding_provider_fields_types block.
     *
     * @stability stable
     */
    readonly findingProviderFieldsTypes?: SecurityhubInsightFiltersFindingProviderFieldsTypes[];
    /**
     * first_observed_at block.
     *
     * @stability stable
     */
    readonly firstObservedAt?: SecurityhubInsightFiltersFirstObservedAt[];
    /**
     * generator_id block.
     *
     * @stability stable
     */
    readonly generatorId?: SecurityhubInsightFiltersGeneratorId[];
    /**
     * id block.
     *
     * @stability stable
     */
    readonly id?: SecurityhubInsightFiltersId[];
    /**
     * keyword block.
     *
     * @stability stable
     */
    readonly keyword?: SecurityhubInsightFiltersKeyword[];
    /**
     * last_observed_at block.
     *
     * @stability stable
     */
    readonly lastObservedAt?: SecurityhubInsightFiltersLastObservedAt[];
    /**
     * malware_name block.
     *
     * @stability stable
     */
    readonly malwareName?: SecurityhubInsightFiltersMalwareName[];
    /**
     * malware_path block.
     *
     * @stability stable
     */
    readonly malwarePath?: SecurityhubInsightFiltersMalwarePath[];
    /**
     * malware_state block.
     *
     * @stability stable
     */
    readonly malwareState?: SecurityhubInsightFiltersMalwareState[];
    /**
     * malware_type block.
     *
     * @stability stable
     */
    readonly malwareType?: SecurityhubInsightFiltersMalwareType[];
    /**
     * network_destination_domain block.
     *
     * @stability stable
     */
    readonly networkDestinationDomain?: SecurityhubInsightFiltersNetworkDestinationDomain[];
    /**
     * network_destination_ipv4 block.
     *
     * @stability stable
     */
    readonly networkDestinationIpv4?: SecurityhubInsightFiltersNetworkDestinationIpv4[];
    /**
     * network_destination_ipv6 block.
     *
     * @stability stable
     */
    readonly networkDestinationIpv6?: SecurityhubInsightFiltersNetworkDestinationIpv6[];
    /**
     * network_destination_port block.
     *
     * @stability stable
     */
    readonly networkDestinationPort?: SecurityhubInsightFiltersNetworkDestinationPort[];
    /**
     * network_direction block.
     *
     * @stability stable
     */
    readonly networkDirection?: SecurityhubInsightFiltersNetworkDirection[];
    /**
     * network_protocol block.
     *
     * @stability stable
     */
    readonly networkProtocol?: SecurityhubInsightFiltersNetworkProtocol[];
    /**
     * network_source_domain block.
     *
     * @stability stable
     */
    readonly networkSourceDomain?: SecurityhubInsightFiltersNetworkSourceDomain[];
    /**
     * network_source_ipv4 block.
     *
     * @stability stable
     */
    readonly networkSourceIpv4?: SecurityhubInsightFiltersNetworkSourceIpv4[];
    /**
     * network_source_ipv6 block.
     *
     * @stability stable
     */
    readonly networkSourceIpv6?: SecurityhubInsightFiltersNetworkSourceIpv6[];
    /**
     * network_source_mac block.
     *
     * @stability stable
     */
    readonly networkSourceMac?: SecurityhubInsightFiltersNetworkSourceMac[];
    /**
     * network_source_port block.
     *
     * @stability stable
     */
    readonly networkSourcePort?: SecurityhubInsightFiltersNetworkSourcePort[];
    /**
     * note_text block.
     *
     * @stability stable
     */
    readonly noteText?: SecurityhubInsightFiltersNoteText[];
    /**
     * note_updated_at block.
     *
     * @stability stable
     */
    readonly noteUpdatedAt?: SecurityhubInsightFiltersNoteUpdatedAt[];
    /**
     * note_updated_by block.
     *
     * @stability stable
     */
    readonly noteUpdatedBy?: SecurityhubInsightFiltersNoteUpdatedBy[];
    /**
     * process_launched_at block.
     *
     * @stability stable
     */
    readonly processLaunchedAt?: SecurityhubInsightFiltersProcessLaunchedAt[];
    /**
     * process_name block.
     *
     * @stability stable
     */
    readonly processName?: SecurityhubInsightFiltersProcessName[];
    /**
     * process_parent_pid block.
     *
     * @stability stable
     */
    readonly processParentPid?: SecurityhubInsightFiltersProcessParentPid[];
    /**
     * process_path block.
     *
     * @stability stable
     */
    readonly processPath?: SecurityhubInsightFiltersProcessPath[];
    /**
     * process_pid block.
     *
     * @stability stable
     */
    readonly processPid?: SecurityhubInsightFiltersProcessPid[];
    /**
     * process_terminated_at block.
     *
     * @stability stable
     */
    readonly processTerminatedAt?: SecurityhubInsightFiltersProcessTerminatedAt[];
    /**
     * product_arn block.
     *
     * @stability stable
     */
    readonly productArn?: SecurityhubInsightFiltersProductArn[];
    /**
     * product_fields block.
     *
     * @stability stable
     */
    readonly productFields?: SecurityhubInsightFiltersProductFields[];
    /**
     * product_name block.
     *
     * @stability stable
     */
    readonly productName?: SecurityhubInsightFiltersProductName[];
    /**
     * recommendation_text block.
     *
     * @stability stable
     */
    readonly recommendationText?: SecurityhubInsightFiltersRecommendationText[];
    /**
     * record_state block.
     *
     * @stability stable
     */
    readonly recordState?: SecurityhubInsightFiltersRecordState[];
    /**
     * related_findings_id block.
     *
     * @stability stable
     */
    readonly relatedFindingsId?: SecurityhubInsightFiltersRelatedFindingsId[];
    /**
     * related_findings_product_arn block.
     *
     * @stability stable
     */
    readonly relatedFindingsProductArn?: SecurityhubInsightFiltersRelatedFindingsProductArn[];
    /**
     * resource_aws_ec2_instance_iam_instance_profile_arn block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceIamInstanceProfileArn?: SecurityhubInsightFiltersResourceAwsEc2InstanceIamInstanceProfileArn[];
    /**
     * resource_aws_ec2_instance_image_id block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceImageId?: SecurityhubInsightFiltersResourceAwsEc2InstanceImageId[];
    /**
     * resource_aws_ec2_instance_ipv4_addresses block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceIpv4Addresses?: SecurityhubInsightFiltersResourceAwsEc2InstanceIpv4Addresses[];
    /**
     * resource_aws_ec2_instance_ipv6_addresses block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceIpv6Addresses?: SecurityhubInsightFiltersResourceAwsEc2InstanceIpv6Addresses[];
    /**
     * resource_aws_ec2_instance_key_name block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceKeyName?: SecurityhubInsightFiltersResourceAwsEc2InstanceKeyName[];
    /**
     * resource_aws_ec2_instance_launched_at block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceLaunchedAt?: SecurityhubInsightFiltersResourceAwsEc2InstanceLaunchedAt[];
    /**
     * resource_aws_ec2_instance_subnet_id block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceSubnetId?: SecurityhubInsightFiltersResourceAwsEc2InstanceSubnetId[];
    /**
     * resource_aws_ec2_instance_type block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceType?: SecurityhubInsightFiltersResourceAwsEc2InstanceType[];
    /**
     * resource_aws_ec2_instance_vpc_id block.
     *
     * @stability stable
     */
    readonly resourceAwsEc2InstanceVpcId?: SecurityhubInsightFiltersResourceAwsEc2InstanceVpcId[];
    /**
     * resource_aws_iam_access_key_created_at block.
     *
     * @stability stable
     */
    readonly resourceAwsIamAccessKeyCreatedAt?: SecurityhubInsightFiltersResourceAwsIamAccessKeyCreatedAt[];
    /**
     * resource_aws_iam_access_key_status block.
     *
     * @stability stable
     */
    readonly resourceAwsIamAccessKeyStatus?: SecurityhubInsightFiltersResourceAwsIamAccessKeyStatus[];
    /**
     * resource_aws_iam_access_key_user_name block.
     *
     * @stability stable
     */
    readonly resourceAwsIamAccessKeyUserName?: SecurityhubInsightFiltersResourceAwsIamAccessKeyUserName[];
    /**
     * resource_aws_s3_bucket_owner_id block.
     *
     * @stability stable
     */
    readonly resourceAwsS3BucketOwnerId?: SecurityhubInsightFiltersResourceAwsS3BucketOwnerId[];
    /**
     * resource_aws_s3_bucket_owner_name block.
     *
     * @stability stable
     */
    readonly resourceAwsS3BucketOwnerName?: SecurityhubInsightFiltersResourceAwsS3BucketOwnerName[];
    /**
     * resource_container_image_id block.
     *
     * @stability stable
     */
    readonly resourceContainerImageId?: SecurityhubInsightFiltersResourceContainerImageId[];
    /**
     * resource_container_image_name block.
     *
     * @stability stable
     */
    readonly resourceContainerImageName?: SecurityhubInsightFiltersResourceContainerImageName[];
    /**
     * resource_container_launched_at block.
     *
     * @stability stable
     */
    readonly resourceContainerLaunchedAt?: SecurityhubInsightFiltersResourceContainerLaunchedAt[];
    /**
     * resource_container_name block.
     *
     * @stability stable
     */
    readonly resourceContainerName?: SecurityhubInsightFiltersResourceContainerName[];
    /**
     * resource_details_other block.
     *
     * @stability stable
     */
    readonly resourceDetailsOther?: SecurityhubInsightFiltersResourceDetailsOther[];
    /**
     * resource_id block.
     *
     * @stability stable
     */
    readonly resourceId?: SecurityhubInsightFiltersResourceId[];
    /**
     * resource_partition block.
     *
     * @stability stable
     */
    readonly resourcePartition?: SecurityhubInsightFiltersResourcePartition[];
    /**
     * resource_region block.
     *
     * @stability stable
     */
    readonly resourceRegion?: SecurityhubInsightFiltersResourceRegion[];
    /**
     * resource_tags block.
     *
     * @stability stable
     */
    readonly resourceTags?: SecurityhubInsightFiltersResourceTags[];
    /**
     * resource_type block.
     *
     * @stability stable
     */
    readonly resourceType?: SecurityhubInsightFiltersResourceType[];
    /**
     * severity_label block.
     *
     * @stability stable
     */
    readonly severityLabel?: SecurityhubInsightFiltersSeverityLabel[];
    /**
     * source_url block.
     *
     * @stability stable
     */
    readonly sourceUrl?: SecurityhubInsightFiltersSourceUrl[];
    /**
     * threat_intel_indicator_category block.
     *
     * @stability stable
     */
    readonly threatIntelIndicatorCategory?: SecurityhubInsightFiltersThreatIntelIndicatorCategory[];
    /**
     * threat_intel_indicator_last_observed_at block.
     *
     * @stability stable
     */
    readonly threatIntelIndicatorLastObservedAt?: SecurityhubInsightFiltersThreatIntelIndicatorLastObservedAt[];
    /**
     * threat_intel_indicator_source block.
     *
     * @stability stable
     */
    readonly threatIntelIndicatorSource?: SecurityhubInsightFiltersThreatIntelIndicatorSource[];
    /**
     * threat_intel_indicator_source_url block.
     *
     * @stability stable
     */
    readonly threatIntelIndicatorSourceUrl?: SecurityhubInsightFiltersThreatIntelIndicatorSourceUrl[];
    /**
     * threat_intel_indicator_type block.
     *
     * @stability stable
     */
    readonly threatIntelIndicatorType?: SecurityhubInsightFiltersThreatIntelIndicatorType[];
    /**
     * threat_intel_indicator_value block.
     *
     * @stability stable
     */
    readonly threatIntelIndicatorValue?: SecurityhubInsightFiltersThreatIntelIndicatorValue[];
    /**
     * title block.
     *
     * @stability stable
     */
    readonly title?: SecurityhubInsightFiltersTitle[];
    /**
     * type block.
     *
     * @stability stable
     */
    readonly type?: SecurityhubInsightFiltersType[];
    /**
     * updated_at block.
     *
     * @stability stable
     */
    readonly updatedAt?: SecurityhubInsightFiltersUpdatedAt[];
    /**
     * user_defined_values block.
     *
     * @stability stable
     */
    readonly userDefinedValues?: SecurityhubInsightFiltersUserDefinedValues[];
    /**
     * verification_state block.
     *
     * @stability stable
     */
    readonly verificationState?: SecurityhubInsightFiltersVerificationState[];
    /**
     * workflow_status block.
     *
     * @stability stable
     */
    readonly workflowStatus?: SecurityhubInsightFiltersWorkflowStatus[];
}
/**
 * @stability stable
 */
export declare class SecurityhubInsight extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityhubInsightConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _groupByAttribute;
    /**
     * @stability stable
     */
    get groupByAttribute(): string;
    /**
     * @stability stable
     */
    set groupByAttribute(value: string);
    /**
     * @stability stable
     */
    get groupByAttributeInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _filters;
    /**
     * @stability stable
     */
    get filters(): SecurityhubInsightFilters[];
    /**
     * @stability stable
     */
    set filters(value: SecurityhubInsightFilters[]);
    /**
     * @stability stable
     */
    get filtersInput(): SecurityhubInsightFilters[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
